SocialEngine Blog

SocialEngine is the best way to create a unique community website. Let your friends, fans or customers geek out about anything you want.

Version 4.1.6 release, including CDN support!

We are pleased to announce that Version 4.1.6 is now available to download from the client login area. This version is packed with new features, including CDN support (such as amazon S3) and enhanced Facebook and Twitter integration. Please see our previous blog for a list of features. The complete changelog will be posted shortly.

We’re putting together a how-to guide for the CDN support feature, which will be posted within the next couple of days.

Please don’t hesitate to contact us if you have any questions or concerns!

59 Comments

  1. Ben
    Posted June 23, 2011 at 3:20 am | Permalink

    Is there an API in the pipeline? We were told 4 months ago that there would be,,,it's more important than new features.

  2. HIFI
    Posted June 23, 2011 at 3:40 am | Permalink

    We're Installing now (Fresh Install). Looking forward to progress and feedforward ►

  3. Mara
    Posted June 23, 2011 at 3:42 am | Permalink

    @Ben Thanks for the suggestion. That is something we are working on for a future version, however we have not yet set a concrete date for it.

  4. Global
    Posted June 23, 2011 at 4:24 am | Permalink

    I can not agree with Ben that an api is needed before a full, stable, error free, and 'au current' competitive feature set is in place. We all need sales. And if I am going to sell SE based projects, I have to be able to sell it based on a competitive feature set. If things are missing, or broken, or not up to current market competitiveness and so on, I can't make an SE based project sale. No sales, no evangelists, no evangelists, no…well…you know…

  5. Posted June 23, 2011 at 4:57 am | Permalink

    I dont know I have a problem when you add someone it dont show the notice on the right side anymore how can I fix this issue?

  6. William
    Posted June 23, 2011 at 5:31 am | Permalink

    Hi Mara, Can you help to check my status of the submitted ticket? I still cannot install SE even using 4.1.6 :(
    Please help me, I have no idea what can i do

  7. Daniel
    Posted June 23, 2011 at 6:16 am | Permalink

    API + Speed improvements !

    This are the 2 main features I am interested in :)

  8. William
    Posted June 23, 2011 at 7:23 am | Permalink

    :( Nobody concern my ticket; I still can't get SE install ~ Tried many times but fail, upload again and again, … for a week

  9. israel
    Posted June 23, 2011 at 8:22 am | Permalink

    where are the CDN 'settings'? i can't found anything new in admin area

  10. Ian
    Posted June 23, 2011 at 9:37 am | Permalink

    Please could you provide a little more detail about the comment "Updated facebook integration" that appears several times in the Change Log.

    What have you updated?!

  11. Seb
    Posted June 23, 2011 at 10:38 am | Permalink

    Sorry anybody the same issue (upgrade 4.1.2 > 4.1.6): error that table engine4_user_logins does not exist (members plugin)?

  12. roger
    Posted June 23, 2011 at 10:40 am | Permalink

    Still performance problem please fix js problems. Compile all js in one single file like do LIFERAY Portal

  13. philip
    Posted June 23, 2011 at 10:56 am | Permalink

    did anyone tried the new version yet ? any comments and reviews ?

    i would like to read some users feedsbacks before i upgrade my site to 4.1.6

    have a good day

  14. luke
    Posted June 23, 2011 at 12:15 pm | Permalink

    Twitter Integration

    USER_ADMIN_SETTINGS_TWITTER_DESCRIPTION

    Failed getting token and token secret from response

    allways getting this error

  15. Tarachand
    Posted June 23, 2011 at 12:46 pm | Permalink

    Hello,
    I am facing trouble with this update.
    After I uploaded the upgrade, it extracted the upgraded files for me under "manage packages" but when I inserted the FTP information it shows me
    the error "Connection error: Unable to connect to "my FTP server""
    I am 100% sure about the FTP credentials and this was suppose to be done at my dedicated server.
    I have never seen such issue before with any upgrade you posted.
    You help will be highly appreciated.

    -Regards.

  16. Chris
    Posted June 23, 2011 at 3:27 pm | Permalink

    I'm getting a notice during upgrade that module-storage-4.1.6 :
    The SSH2 extension is required for CDNs that use SSH or SCP. I wrote up some quick instructions for those hosting on a Mac OS X server on how to install SSH2: http://www.gigoblog.com/2011/06/23/socialengine-4-1-6-cdn-support-requires-ssh2-install-instructions-here/

  17. Chris
    Posted June 23, 2011 at 3:33 pm | Permalink

    Can you fully describe the enhancements to Facebook and Twitter integration?

  18. Ben
    Posted June 23, 2011 at 6:46 pm | Permalink

    Actually, to correct my statement: We were told 4 months ago that an API would be available 30-40 days from then. Is this not happening anytime soon?

  19. Stars
    Posted June 23, 2011 at 7:39 pm | Permalink

    Activity Feed is the most important portion of any social site to interact site members, but the Activity feed of SE lacks some important features, e.g. privacy option for each activity feed like facebook, or read only activity feed for non friends on profiles and sooo on.
    pls improve activity feed privacy options in next release.

  20. Mara
    Posted June 23, 2011 at 10:37 pm | Permalink

    @Tony Please log in to submit a support ticket and our technicians will be able to assist you.
    @William You were asked for your FTP login details in the support ticket. Please reply to the ticket with this information so we can continue the installation.

  21. Mara
    Posted June 23, 2011 at 11:09 pm | Permalink

    @Israel t should by under Settings -> Storage
    @Ian We have included some bug fixes and updated to use the latest api classes and oauth 2.0.
    @Luke There is a minor language bug that we are working on for the next version, however it sounds like you have a different problem that can be addressed through a support ticket.

  22. Jordan
    Posted June 23, 2011 at 11:23 pm | Permalink

    Having issues with mobile css not working (unable to override defaults)

  23. Mara
    Posted June 23, 2011 at 11:32 pm | Permalink

    @Tarachand Try leaving your host as localhost or 127.0.0.1. Your server's firewall restrictions may be causing the problem.

  24. Bob
    Posted June 24, 2011 at 12:16 am | Permalink

    After upgrading from 4.1.5 to 4.1.6 now when I try to go into Layout Editor > Members Home Page I keep getting an error msg. And when I check my logs file it says the error is in ( Error Code: 7933db
    exception 'Exception' with message 'page failed validation check' in public_html/application/modules/Core/controllers/AdminContentController.php:98

    This was working fine before the 4.1.6 upgrade and the error only happens when I try to go into Layout Editor > Members Home Page

  25. Wes
    Posted June 24, 2011 at 12:26 am | Permalink

    There is no settings > storage option. Also, man this version is slooooooow.

  26. Jordan
    Posted June 24, 2011 at 1:54 am | Permalink

    I'm also getting errors with integrating twitter:

    "HTTP_OAuth_Consumer_Exception_InvalidResponse: Failed getting token and token secret from response"

  27. Posted June 24, 2011 at 2:17 am | Permalink

    @Everyone. I just wanted to share a little bit with all SE4. I've done a fresh install and would like to share my experience in the event that it may help us all in the future.This may not be the case with your network because you may indeed need to upgrade due to members, plugins, etc.

    The best analogy that I can give is to compare Microsoft to Apple. Apple products are more stable because everything in there internal system are "apple parts", Microsoft parts, on the other hand are at least 50% 3rd Party. This causes instability due to different languages trying to communicate and work together to do certain tasks.

    Though SE system is solid. We rely on 3rd Party Plugins to give us what SE has not. For example the Auto-Friend Plugin by Technobd which allows admin to befriends with each member who signs up.

    What I found out since I've purchased SE4.1.1 in February was that most of my errors I was getting where 3rd party plugins which installs certain files in the Core of SE. So when I upgraded the files in the core were either reverted back or cause some type of glitch.

    For the sake of time, here is my Quick Analysis of SE 4.1.6 (Fresh Install)

    ====== Definition ===========
    Facebook integration: Sign in and post to facebook through SE
    Twitter integration: Sign in and post to Twitter through SE
    CDN: Seem to use only as storage not to confuse with Server Hosting such as "Arvixe Solutions"
    ===========================

    ======== myRating =========

    Quick Analasys: Facebook 8/10 – third party seems more userfriendly
    Twitter integration – 9/10 – solid but is a little confusing to use as post (icon is on far right of post something) I suggest putting it next to the post button
    CDN: 10/10 – seems pretty stable – I can't give a better, opinion but I found nothing wrong with it.
    ===========================

    My overall suggestion would be for SE to create a system or closer network with proven 3rd Party Developer and give them a way to be "SE4 Certified" – I also suggest that 3rd Party Developer to find a way to make their plugins less dependant on SE Core (if possible).

    Thanks for listening.

  28. Leon
    Posted June 24, 2011 at 2:28 am | Permalink

    Hello everyone.

    I write to join the users asked for a stable and fast version of SE4. Currently I have my site in version 4.1.2, because by now I know all the bugs in this version and I did not do the upgrade because during these months I have read on the blog reports for all the new bugs. Please make an effort to make a stable version instead of many monthly updates.

    Greetings.

  29. Aleksandar
    Posted June 24, 2011 at 6:57 am | Permalink

    Problems with FireFox 4, IE9 – probably with JavaScripts. Can't open tabs on user profiles, can't open photo in albums. With FireFox 3.xx all works OK.
    Am I only one with this problem?

  30. Posted June 24, 2011 at 7:19 am | Permalink

    Will there be something to fix the thumbnail also? When a certain profilephoto is uploaded which isn't square shaped the thumbnail only shows a part of the picture instead of an auto-fix.

  31. Paul
    Posted June 24, 2011 at 2:09 pm | Permalink

    im also having the same twitter issues

  32. Vipin
    Posted June 24, 2011 at 3:57 pm | Permalink

    Hi Mara,

    I am unable to see the option for Storage under Settings. I have successfully upgraded the core and all plugins to 4.1.6 . Please advise.

  33. Global
    Posted June 24, 2011 at 4:03 pm | Permalink

    Hey SE team-I wanted to report that I just finished upgrading to 4.16-it was a bit of a 'bumpy ride'. The uploader in the admin plugins panel was not happy about the 4.16 tar package for what ever reason, so I ended up just directly ftping into the archive folder. Thank goodness you kept the manual upload addy in the instruction set! I'm told by Hostgator that mod_rewrite is turned on, but the install script is asking for it-ditto for the SSH2. Thought you guys should know. Haven't tried the CDN with Amazon yet, but I'm excited about it.

    There was a mysql error about a duplicate query for a key, but all seems well at the moment. No crashes yet (crossing my fingers!)…

  34. Peer
    Posted June 24, 2011 at 4:18 pm | Permalink

    @Mara @Israel There is no menu item "Settings -> Storage" available.

  35. Posted June 24, 2011 at 4:22 pm | Permalink

    Hello Everyone,

    I have updated to version 4.1.6 with twitter integration and the Sign with with Twitter icon hiding in the back of sign up icon. How can I move twitter icon?

    Can you someone help me show me how to move the sign with twitter icon up or down.

    thank you!

  36. Global
    Posted June 24, 2011 at 5:18 pm | Permalink

    Hey Mara…

    Two things, first, I get this error for the core 4.16: "…Query failed with error: Mysqli statement execute error : Duplicate entry '1018286079' for key 'start' "

    Secondly, like Israel, I can't find the storage menu listing :( I checked admin>settings, and its not there. I checked the plugins installed modules list and it is there.

    I think we might have found a bug?

  37. Posted June 24, 2011 at 7:31 pm | Permalink

    hi socialengine,

    i install an upgrade version from se4.1.5 to se4.1.6 but how to configure CDN support?

    you say under setting>storage but under my setting can't found the "storage" tab for CDN?…why?

    tq,

  38. Jordan
    Posted June 24, 2011 at 8:43 pm | Permalink

    @mara, I'm having the same twitter token issue that luke is having.

  39. Jordan
    Posted June 24, 2011 at 11:13 pm | Permalink

    Twitter integration is not saving values to the 'engine4_user_twitter' table.

  40. Mara
    Posted June 25, 2011 at 1:15 am | Permalink

    @Global Please submit a ticket for this issue so our support team can take a look at it. We are working on a fix for the Settings > Storage menu issue in upgraded versions.

  41. Mara
    Posted June 25, 2011 at 1:23 am | Permalink

    @Wes / Vipin / Peer There appears to be a bug with the settings > storage menu option for upgraded versions, however the menu option is there for fresh installs. We are currently working on a fix for this. Hold tight!
    @Jordan / Paul please log in to submit a support ticket for this issue and our technicians will assist you.

  42. Mara
    Posted June 25, 2011 at 1:29 am | Permalink

    @Aleksandar Please submit a support ticket so we can take a look at the issue. Thanks very much.

  43. Posted June 25, 2011 at 3:52 am | Permalink

    i install an upgrade version from se4.1.5 to se4.1.6 but how to configure CDN support?

    you say under setting>storage but under my setting can't found the "storage" tab for CDN?…why?

    http://answer-win.com

  44. Alex
    Posted June 25, 2011 at 6:42 am | Permalink

    Tried upgrading to 4.1.6p1, but on uploading the tar I get the error:
    "Upload failed: Server returned HTTP-Status #302"

    And later I tried uploading the individual tars one by one. Some got uploaded, the others kept giving the error:
    "Unable to move file to packages directory. Please set chmod 0777 on the temporary/package/archives directory."
    even though the said directory is on 777.

    Solution?

  45. Jeff
    Posted June 25, 2011 at 8:28 am | Permalink

    I know you (SE) are all young, that's cool, but trust an old timer…tighten up your testing/QA process. Some of these bugs listed here, and the ones that I have reported to you (and you have fixed), should have been easy to catch with some solid test scripts and more complete test data. It will save a lot of the community's collective time and make you guys look better if you take the time to test thoroughly. Maybe an every-other-month release (but well tested) would be better. Just an idea.

  46. Bryan
    Posted June 27, 2011 at 6:57 am | Permalink

    I'm getting a

    Storage (4.1.6p1)

    Query failed with error: Mysqli statement execute error : Duplicate column name 'enabled'

    error.

    I'm not going to pay to log a ticket. I normally work though the upgrade issues – and there are always upgrade issues. But I'm not prepared to spend the time on this one. You have my account details, so feel free to email me if you don't wish to discuss it in this forum.

  47. Dmitrijs
    Posted June 27, 2011 at 7:32 am | Permalink

    Why after upgrade my template css doesnt load up?

  48. Alex
    Posted June 27, 2011 at 1:37 pm | Permalink

    Storage 4.1.6p1
    by Webligo Developments
    Warning: Your database structure for this package is out of date. The version you currently have is 4.1.4. Please complete the installation of this package to resolve this problem.

    HOw can I solve this problem?

  49. Wes
    Posted June 27, 2011 at 3:57 pm | Permalink

    Thanks for responding Mara. I am finding multiple bugs with 4.16p1 and have sent support tickets. Kind of sucks I have to pay another $50 a month for support for bug fixes….

    I attempted to post a comment on your other blog regarding CDN support. No one has posted those comments yet. But basically, is there a detailed tutorial on how to set this up with amazon? Their tutorials suck and I am completely clueless on how to use this for SE. Thank you.

  50. Mara
    Posted June 28, 2011 at 5:29 am | Permalink

    @sultan We have released a fix for the settings > storage menu. Please download and install v4.1.6p1

  51. Mara
    Posted June 28, 2011 at 5:30 am | Permalink

    @Alex It sounds like you'll need to upgrade the core software first, and then upgrade the plugins after.

  52. Posted June 28, 2011 at 5:32 pm | Permalink

    Every time I upgrade, I always do the Core first and I'm still receiving the following issues

    These system requirements must to continue with this installation:
    • core-base-4.1.4 : mod_rewrite
    Unable to check.

    Then I receive
    Storage (4.1.6p1)
    Query failed with error: Mysqli statement execute error : Duplicate column name 'enabled'

    Query failed with error: Mysqli statement execute error : Duplicate column name 'enabled'

    how do I resolve this?

  53. Kevin
    Posted June 28, 2011 at 9:45 pm | Permalink

    Query failed with error: Mysqli statement execute error : Duplicate column name 'enabled'

    anyone know how to fix???

  54. Mara
    Posted June 29, 2011 at 1:17 am | Permalink

    @Wes There is a basic tutorial on the CDN Storage feature in our knowledgebase: http://www.socialengine.net/support/article?q=188&question=How-to-use-the-CDN-Storage-Feature For a more detailed description, check out the Ask John article: http://www.socialengine.net/blog/article?id=127&article=Ask-John—Part-1

    @Kevin / Greg This error has now been fixed. Please download version 4.1.6p2 from the client area.

  55. Posted June 30, 2011 at 1:46 pm | Permalink

    When it will be repaired classified, after selecting a category and move to the next side displays all the ads.

  56. Paul
    Posted July 7, 2011 at 7:48 pm | Permalink

    Forgive me if this has been covered elsewhere, but is Video Chat scheduled for a future release?

    Also, concerning Groups, when a member is deleted, any Group that member created goes away. There should be a way to save the Group. I addressed that issue once in a support ticket and was told that such a function was being considered.

    Thanks for a great product.

  57. Mara
    Posted July 7, 2011 at 10:05 pm | Permalink

    @Paul Thanks for the suggestion re: Groups! This is on our list of feature requests for a future version, but we do not yet have a date set for its implementation. We have no plans at this time to add video chat, but there is a third-party plugin to make it possible: http://www.socialengine.net/customize/mod-page?mod_id=187&mod=AVChat-3-for-Social-Engine-3-and-4

  58. Posted July 12, 2011 at 1:11 am | Permalink

    Hi, I have been using SE4 since its begining. I installed SE4.1.6 and I have a problem when I want my users to sign in with the sign in page. It doesnt work at all!!! I have spent a fortune on my website.The launch of my website is coming soon. I need some assistance.

    Thanks

  59. Mara
    Posted July 13, 2011 at 12:39 am | Permalink

    @Hanna Please contact us at http://www.socialengine.net/contact about this issue. Please describe the issue in detail and let us know which version of 4.1.6 you are using. Thanks very much.

Post a Comment

Your email is kept private. Required fields are marked *

*
*

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>